Login | Packages | Support | Bugs 

Top Level :: GUI :: wxwidgets :: Windows

wxwidgets 3.0.0.2

Package Information
Summary Cross-platform widget toolkit.
Maintainers Jefferson González (lead) [details]
Mário Soares (lead) [details]
License PHP
Description Wraps the wxWidgets library, which allows to write
multi-platform desktop applications that make use of the native
graphical components available to the different platforms.
Homepage http://wxphp.org/
Release notes
Version 3.0.0.2
(stable)
* Fixed wxInputStream::OnSysRead thanks to johannes from pecl. This
functionality should be enough for loading images from phar files
as described on issue #35.
* Moving mac process transformation code to wxEntry (chrisnharvey).
* Enabled some MacOSX specific wxApp virtual methods as requested by ydk2.
* Modified bool wxApp::OSXIsGUIApplication() to return true by
default if no user space side function is found.
* Improved config.m4 and added initial support for macosx.
* Fixed some segfaults on macosx due to newly introduced wxApp
virtual methods which may be called with an uninitialized phpobj.
* Added curl as another option to download wxWidgets from config.m4.
* Improved wxExecute function.
* Added macosx bundle icon.
* also search for wx-config-3.0 (remicollet)
* Type casted to void* on memcpy calls.
* Added tool to generate Mac OSX bundles of wxphp.
* Fixed mac osx segfault caused by incrementing the refcount on
objects returned by static methods.
* Renamed xml_parser.php to json_generator.php.
* added the way to work with conflicting mode_t declaration needs
some header in wx distro to be patched (weltling)
* Removed template.rc (weltling)
 
DLL List
PHP 5.6 5.6 Non Thread Safe (NTS) x86
5.6 Thread Safe (TS) x86
5.6 Non Thread Safe (NTS) x64
5.6 Thread Safe (TS) x64
PHP 5.5 5.5 Non Thread Safe (NTS) x86
5.5 Thread Safe (TS) x86
5.5 Non Thread Safe (NTS) x64
5.5 Thread Safe (TS) x64
PHP 5.4 5.4 Non Thread Safe (NTS) x86
5.4 Thread Safe (TS) x86

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source[ Package Bugs ][ View Documentation ]

Dependencies for release 3.0.0.2
PHP Version: PHP 5.3.0 or newer
PEAR Package: PEAR 1.4.0b1 or newer
PRIVACY POLICY | CREDITS
Copyright © 2001-2014 The PHP Group
All rights reserved.
Last updated: Tue Oct 15 08:05:03 2013 UTC
Bandwidth and hardware provided by: pair Networks